﻿<Page x:Class="Login2.Pages.SettingsPages.BusPage"
      xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
      xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
      xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006" 
      xmlns:d="http://schemas.microsoft.com/expression/blend/2008" 
      xmlns:materialDesign="http://materialdesigninxaml.net/winfx/xaml/themes"
      xmlns:local="clr-namespace:Login2.Pages.SettingsPages"
      mc:Ignorable="d" 
      d:DesignHeight="450" d:DesignWidth="800"
      Title="BusPage">

    <Page.Resources>
        <Storyboard x:Key="ShowPopup">
            <ObjectAnimationUsingKeyFrames Storyboard.TargetName="popupMessageGrid"
                        Storyboard.TargetProperty="Visibility">
                <DiscreteObjectKeyFrame KeyTime="0:0:0" Value="{x:Static Visibility.Visible}"/>
                <DiscreteObjectKeyFrame KeyTime="0:0:1.5" Value="{x:Static Visibility.Collapsed}"/>
            </ObjectAnimationUsingKeyFrames>
            <DoubleAnimationUsingKeyFrames Storyboard.TargetProperty="(UIElement.Opacity)" Storyboard.TargetName="popupMessageGrid">
                <EasingDoubleKeyFrame KeyTime="0:0:0.5" Value="0.8"/>
                <EasingDoubleKeyFrame KeyTime="0:0:1" Value="0.79"/>
                <EasingDoubleKeyFrame KeyTime="0:0:1.5" Value="0"/>
            </DoubleAnimationUsingKeyFrames>
            <ThicknessAnimationUsingKeyFrames Storyboard.TargetProperty="Margin" Storyboard.TargetName="popupMessageGrid" BeginTime="00:00:00">
                <SplineThicknessKeyFrame KeyTime="00:00:00" Value="0, 0, 0, 0" />
                <SplineThicknessKeyFrame KeyTime="00:00:0.5" Value="0, 15, 0, 0" />
                <SplineThicknessKeyFrame KeyTime="00:00:1" Value="0, 15, 0, 0" />
                <SplineThicknessKeyFrame KeyTime="00:00:1.5" Value="0, 0, 0, 0" />
            </ThicknessAnimationUsingKeyFrames>
        </Storyboard>
    </Page.Resources>

    <Grid>

        <Grid Opacity="0" x:Name="popupMessageGrid" Panel.ZIndex="1" Visibility="Collapsed">
            <Border Width="180" Height="50" HorizontalAlignment="Right" VerticalAlignment="Top" Margin="0, 5, 10, 0" CornerRadius="3"
                        Background="#FF2196F3">
                <TextBlock x:Name="popupMessage" VerticalAlignment="Center" HorizontalAlignment="Center" Margin="0, 0, 0, 0" Text="My Text" Foreground="White" FontSize="12" FontWeight="Bold">
                </TextBlock>
            </Border>
        </Grid>

        <Grid>
            <Grid.RowDefinitions>
                <RowDefinition Height="14*"/>
                <RowDefinition Height="55"/>
                <RowDefinition Height="45"/>
                <RowDefinition Height="50"/>
            </Grid.RowDefinitions>

            <Grid Grid.Row="0">
                <ListBox x:Name="listBoxDrivers" FontFamily="Tahoma" FontSize="14"
                                DisplayMemberPath="all"
                                SelectedValuePath="default"
                            />
            </Grid>

            <Grid Grid.Row="1">
                <Grid.ColumnDefinitions>
                    <ColumnDefinition Width="8*"/>
                    <ColumnDefinition Width="7*"/>
                    <ColumnDefinition Width="3*"/>
                </Grid.ColumnDefinitions>

                <Grid Grid.Column="0">
                    <TextBlock FontFamily="Tahoma" FontSize="16" HorizontalAlignment="Center" VerticalAlignment="Center" Margin="55,0,0,0">
                                    Номер
                    </TextBlock>
                </Grid>

                <Grid Grid.Column="1">

                    <TextBlock FontFamily="Tahoma" FontSize="16" HorizontalAlignment="Center" VerticalAlignment="Center" Margin="179,0,0,-0.2">
                                    Выберите марку
                    </TextBlock>

                </Grid>
                <Grid Grid.Column="2">

                    <Button  VerticalAlignment="Bottom" 
  Style="{StaticResource MaterialDesignFloatingActionMiniDarkButton}"
                             
                        ToolTip="Добавить модель автобуса" Margin="16,0,16.8,7.2" Click="Button_Click">
                        <materialDesign:PackIcon
    Kind="Plus"
    Height="24"
    Width="24" />
                    </Button>

                </Grid>


            </Grid>

            <Grid Grid.Row="2" DataContext="{Binding Path = userSettingAdd}">
                <Grid.ColumnDefinitions>
                    <ColumnDefinition/>
                    <ColumnDefinition/>

                </Grid.ColumnDefinitions>

                <Grid Grid.Column="0">
                    <TextBox x:Name="numberTextBox" VerticalAlignment="Center" Text="" TextAlignment="Center" FontFamily="Tahoma" FontSize="16" Margin="5, 0, 5, 0">

                    </TextBox>
                </Grid>
                <Grid Grid.Column="1">
                    <ComboBox Name="comboboxLayout" Margin="10" VerticalAlignment="Center"
                  DisplayMemberPath="Mark"
                  SelectedValuePath="default"
                  SelectedValue=""
            Grid.Column="2" Grid.Row="6"  Foreground="Black"   BorderBrush="Black"/>
                </Grid>
                <Grid Grid.Column="2">
                    <Grid.ColumnDefinitions>
                        <ColumnDefinition Width="60*"/>
                        <ColumnDefinition Width="73*"/>
                    </Grid.ColumnDefinitions>

                </Grid>

            </Grid>

            <Grid Grid.Row="3">
                <Grid.ColumnDefinitions>
                    <ColumnDefinition/>
                    <ColumnDefinition/>
                </Grid.ColumnDefinitions>

                <Grid Grid.Column="0">
                    <Button Click="AddBus" Margin="5">
                        Добавить
                    </Button>
                </Grid>
                <Grid Grid.Column="1">
                    <Button Click="DeleteBus" Margin="5">
                        Удалить
                    </Button>
                </Grid>

            </Grid>

        </Grid>
    </Grid>

</Page>
